Subject: [Megaco] can descriptor of a termination be kept?

From: "derrick.ding" <[email-masked]>
Date: Fri, 1 Feb 2002 16:50:15 +0800

Hi,all！
   I have a query with regards to descriptor of a termination, and eager for your reply.

1. Can the descriptor of one termination in a context be kept in another context.
eg. In context1, termination A has signal descriptor and SDP descriptor(with remote RTP)
    Now, we move termination A to context2, as following:
  Transaction = 50001{
    Context = 2{
        Move = A 
    }
  }
  After the operation, is A still played announcement and connected with remote termination?
(I think it cannot be kept, because move is subtract first, then add.
 so if I wanna keep the remote connection state, I should give the descriptor to termination A)

2. How about the termination in NULL context. 
eg. In NULL context, termination B has signal descriptor, 
   Now, we add termination B to context3, as following:
   Transaction = 50002{
    Context = 3{
        Add = B 
    }
  }
  After the operation, is B still played announcement?
(I think it is)

Thanks and Best Regards           

            derrick.ding
            [email-masked]

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Fri, 1 Feb 2002 08:41:09 -0500

Hi.  Answers marked with [PTT].

-----Original Message-----
From: derrick.ding [mailto:[email-masked]]
Sent: Friday, February 01, 2002 3:50 AM
To: Megaco
Cc: MGC
Subject: [Megaco] can descriptor of a termination be kept?

Hi,all£¡
   I have a query with regards to descriptor of a termination, and eager for
your reply.

1. Can the descriptor of one termination in a context be kept in another
context.
eg. In context1, termination A has signal descriptor and SDP descriptor(with
remote RTP)
    Now, we move termination A to context2, as following:
  Transaction = 50001{
    Context = 2{
        Move = A 
    }
  }
  After the operation, is A still played announcement and connected with
remote termination?
(I think it cannot be kept, because move is subtract first, then add.
 so if I wanna keep the remote connection state, I should give the
descriptor to termination A)

[PTT] A termination keeps its descriptor settings on a Move.  We needed the
Move request specifically because we needed the ability to change contexts
without losing state.  The extreme example is the case of an ephemeral
termination, which would not survive a subtract if that were an explicit
part of a Move.

[PTT] No.  See the first paragraph of section 6.2.4 of RFC 3015/H.248v1.

Thanks and Best Regards           

            derrick.ding
            [email-masked]

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Fri, 1 Feb 2002 08:41:09 -0500

-----Original Message-----
From: derrick.ding [mailto:[email-masked]]
Sent: Friday, February 01, 2002 3:50 AM
To: Megaco
Cc: MGC
Subject: [Megaco] can descriptor of a termination be kept?

Hi,all£¡

Thanks and Best Regards           

            derrick.ding
            [email-masked]

---

From: "derrick.ding" <[email-masked]>
Date: Tue, 5 Feb 2002 12:3:29 +0800

Hi,Tom-PT Taylor！
   Thanks for your response. It's helpful.

   But I still have confusion about the question 2. 
>    Context = -{
>        Modify = B{
>              signals(an/an1)
   I read the first paragraph of section 6.2.4 of RFC 3015/H.248v1, but I cannot find powerful proof. Hope further explanation.

            derrick.ding
            [email-masked]

---

From: "derrick.ding" <[email-masked]>
Date: Tue, 5 Feb 2002 12:3:29 +0800

Hi,Tom-PT Taylor！

            derrick.ding
            [email-masked]

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Tue, 5 Feb 2002 12:16:49 -0500

What I meant by the reference to section 6.2.4 is this sentence:

'If not provisioned otherwise, the properties in all descriptors except
TerminationState and LocalControl default to empty/"no value" when a
Termination is first created or returned to the null Context.'

My assumption is that you wouldn't provision a trunk to play an announcement
by default while it is in the NULL context.

I just realized after I wrote that, that the above sentence does not talk
about what values a descriptor takes on when a physical termination is first
added to a context.  Instead, this sentence, taken from section 7.1.1, is
relevant:

"If a required descriptor other than the Audit descriptor is unspecified (i.
e., entirely absent) from a command, the previous values set in that
descriptor for that termination, if any, are retained."

On that basis, the announcement would continue to play when the termination
was added to a context.

-----Original Message-----
From: derrick.ding [mailto:[email-masked]]
Sent: Monday, February 04, 2002 6:00 PM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: Megaco
Subject: Re: RE: [Megaco] can descriptor of a termination be kept?

Hi,Tom-PT Taylor£¡

>[PTT] No.  See the first paragraph of section 6.2.4 of RFC 3015/H.248v1.
   I read the first paragraph of section 6.2.4 of RFC 3015/H.248v1, but I
cannot find powerful proof. Hope further explanation.

2002-02-01 08:41:00 you write£º

            derrick.ding
            [email-masked]

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Tue, 5 Feb 2002 12:16:49 -0500

-----Original Message-----
From: derrick.ding [mailto:[email-masked]]
Sent: Monday, February 04, 2002 6:00 PM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: Megaco
Subject: Re: RE: [Megaco] can descriptor of a termination be kept?

Hi,Tom-PT Taylor£¡

            derrick.ding
            [email-masked]